## plasma-disks 6.3.0

=== debian/changelog ===
plasma-disks (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:07 +0100

plasma-disks (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:55 +0100

plasma-disks (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:37:52 +0100

## plasma-disks 6.3.2

=== debian/changelog ===
plasma-disks (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:11 +0100

=== debian/control ===
Source: plasma-disks
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-disks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-disks.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-disks
Rules-Requires-Root: no

Package: plasma-disks
Architecture: any
Depends: libkf6kcmutils-bin,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         smartmontools,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kup-backup, partitionmanager,
Description: Monitor S.M.A.R.T. capable devices for imminent failure in Plasma
 This package provides a plugin for the KDE user daemon and the corresponding
 Plasma configuration widget for monitoring devices with S.M.A.R.T. support
 and alerting the user in case of imminent failure.

## plasma-disks 6.3.4

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020-2021 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.16)

project(plasma-disks)
set(PROJECT_VERSION "6.3.4")

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(CMakeDependentOption)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    DBusAddons
    Notifications
    I18n
    Solid
    Service
    KIO
    Auth
    KCMUtils
)

find_package(smartctl)
set_package_properties(smartctl PROPERTIES TYPE RUNTIME)

cmake_dependent_option(WITH_SIMULATION
    "Build with simulation tech allowing easy testing via PLASMA_DISKS_SIMULATION=1"
    ON
    "CMAKE_BUILD_TYPE MATCHES [Dd]ebug"
    OFF
)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)

install(FILES org.kde.plasma.disks.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-disks (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6service-dev (>= 6.10.0~),
                libkf6solid-dev (>= 6.10.0~),
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-disks
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-disks.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-disks

## plasma-disks 6.3.5

=== debian/changelog ===
plasma-disks (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:21 +0100

plasma-disks (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:57:30 +0100

plasma-disks (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:22:57 +0000

plasma-disks (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 13:21:11 +0000

## plasma-disks 6.4.4

=== debian/changelog ===
plasma-disks (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:14 +0200

plasma-disks (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 13:56:09 +0200

plasma-disks (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:30:24 +0100

## plasma-disks 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-disks)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.5")
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
@@ -48,7 +48,7 @@
     OFF
 )
 ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020-2021 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_disks\")

set(kded_SRCS
    smartdata.cpp smartdata.h
    smartmonitor.cpp smartmonitor.h
    smartctl.cpp smartctl.h
    smartnotifier.cpp smartnotifier.h
    dbusobjectmanagerserver.cpp
    device.cpp
    devicenotifier.cpp
    soliddevicenotifier.cpp soliddevicenotifier.h
    instabilities.cpp instabilities.h
    smartfailure.cpp smartfailure.h
)

if(WITH_SIMULATION)
    list(APPEND kded_SRCS
        simulationdevicenotifier.cpp simulationdevicenotifier.h
        simulationctl.cpp simulationctl.h
        ../autotests/fixtures/simulation.qrc)
    add_definitions(-DWITH_SIMULATION)
endif()

ecm_qt_declare_logging_category(
    kded_SRCS
    HEADER "kded_debug.h"
    IDENTIFIER "KDED"
    CATEGORY_NAME "org.kde.plasma.disks"
    DESCRIPTION "Plasma Disks"
    EXPORT PlasmaDisks
)

add_library(statickdedsmart STATIC ${kded_SRCS})
set_property(TARGET statickdedsmart PROPERTY POSITION_INDEPENDENT_CODE ON)
target_include_directories(statickdedsmart
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR};${CMAKE_CURRENT_BINARY_DIR}>")
target_link_libraries(statickdedsmart
    PUBLIC
    Qt6::Core
    Qt6::DBus
    KF6::Solid
    KF6::I18n
    KF6::Notifications
    KF6::CoreAddons
    KF6::DBusAddons
    KF6::Service
    KF6::KIOGui
    KF6::AuthCore
)

add_library(kded-smart MODULE main.cpp)
set_target_properties(kded-smart PROPERTIES OUTPUT_NAME smart)
target_link_libraries(kded-smart statickdedsmart)
install(TARGETS kded-smart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/kded)

kauth_install_actions(org.kde.kded.smart org.kde.kded.smart.actions)
add_executable(kded-smart-helper helper.cpp)
target_link_libraries(kded-smart-helper KF6::AuthCore KF6::ConfigCore KF6::I18n)

kauth_install_helper_files(kded-smart-helper org.kde.kded.smart root)
install(TARGETS kded-smart-helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

install(FILES org.kde.kded.smart.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

add_subdirectory(kcm)

=== debian/changelog ===
plasma-disks (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:03:20 +0100

=== debian/control ===
Source: plasma-disks
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.14.0~),
               libkf6auth-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6solid-dev (>= 6.14.0~),
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-disks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-disks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-disks
Rules-Requires-Root: no

Package: plasma-disks
Architecture: any
Depends: libkf6kcmutils-bin,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         smartmontools,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kup-backup, partitionmanager,
Description: Monitor S.M.A.R.T. capable devices for imminent failure in Plasma
 This package provides a plugin for the KDE user daemon and the corresponding
 Plasma configuration widget for monitoring devices with S.M.A.R.T. support
 and alerting the user in case of imminent failure.

## plasma-disks 6.4.5+p24.04+vstable+git20251003.1054

=== debian/changelog ===
plasma-disks (6.4.5+p24.04+vstable+git20251003.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 10:54:11 +0000

plasma-disks (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:02:23 +0000

plasma-disks (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:19:37 +0000

plasma-disks (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

plasma-disks (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:33:47 +0000

plasma-disks (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:48:58 +0000

plasma-disks (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:24:08 +0000

plasma-disks (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:57:36 +0000

plasma-disks (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:09:46 +0000

plasma-disks (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:08:25 +0000

plasma-disks (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:10:20 +0000

plasma-disks (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:54:23 +0000

plasma-disks (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:29:52 +0000

plasma-disks (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:00:45 +0000

plasma-disks (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:33:24 +0000

plasma-disks (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:12:21 +0000

plasma-disks (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:04:10 +0000

plasma-disks (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:12:06 +0000

plasma-disks (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:38:52 +0000

plasma-disks (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:13:12 +0000

plasma-disks (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:31:09 +0000

plasma-disks (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:07:12 +0000

plasma-disks (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:40:11 +0000

plasma-disks (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:59:52 +0000

plasma-disks (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:18:41 +0000

plasma-disks (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:49:45 +0000

plasma-disks (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:22:34 +0000

plasma-disks (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:13 +1000

plasma-disks (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:51:34 +0000

plasma-disks (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:00:14 +0000

plasma-disks (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:08:41 +0000

plasma-disks (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:20:53 +0000

plasma-disks (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:08:31 +0000

plasma-disks (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:34:00 +0000

plasma-disks (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:31:46 +0000

plasma-disks (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:12:07 +0000

plasma-disks (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:04:03 +0000

plasma-disks (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:32:27 +0000

plasma-disks (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:45:23 +0000

plasma-disks (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:46:44 +0000

plasma-disks (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:42:50 +0000

plasma-disks (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:22:39 +0000

plasma-disks (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:00:01 +0000

plasma-disks (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:39:38 +0000

plasma-disks (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:13:10 +0000

plasma-disks (5.25.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:13:12 +0000



## plasma-disks 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
plasma-disks (6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:32 +0000

## plasma-disks 6.4.5+p24.04+vstable+git20251015.1508

=== debian/changelog ===
plasma-disks (6.4.5+p24.04+vstable+git20251015.1508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:08:18 +0000

## plasma-disks 6.4.5+p24.04+vstable+git20251017.0816

=== debian/changelog ===
plasma-disks (6.4.5+p24.04+vstable+git20251017.0816-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:16:46 +0000

## plasma-disks 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-disks)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.4.91")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
@@ -47,8 +47,8 @@
     "CMAKE_BUILD_TYPE MATCHES [Dd]ebug"
     OFF
 )
-ecm_set_disabled_deprecation_versions(QT 6.8.1
-    KF 6.12.0
+ecm_set_disabled_deprecation_versions(QT 6.9.0
+    KF 6.16.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
plasma-disks (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:38:17 +0200

=== debian/control ===
Source: plasma-disks
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-disks
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-disks.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-disks
Rules-Requires-Root: no

Package: plasma-disks
Architecture: any
Depends: libkf6kcmutils-bin,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         smartmontools,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kup-backup,
            partitionmanager,
Description: Monitor S.M.A.R.T. capable devices for imminent failure in Plasma
 This package provides a plugin for the KDE user daemon and the corresponding
 Plasma configuration widget for monitoring devices with S.M.A.R.T. support
 and alerting the user in case of imminent failure.

## plasma-disks 6.5.0

=== debian/changelog ===
plasma-disks (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
 Homepage: https://invent.kde.org/plasma/plasma-disks
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-disks.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-disks
-Rules-Requires-Root: no
 
 Package: plasma-disks
 Architecture: any

## plasma-disks 6.5.0+p24.04+vstable+git20251021.1027

=== debian/changelog ===
plasma-disks (6.5.0+p24.04+vstable+git20251021.1027-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 10:27:04 +0000

plasma-disks (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:29:50 +0000

=== debian/control ===
Source: plasma-disks
Section: kde
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.10~),
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-solid-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/plasma-disks
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/plasma-disks.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-disks
Maintainer: Neon CI <neon@kde.org>

Package: plasma-disks
Architecture: any
Depends: kf6-kcmutils,
         kf6-kirigami2,
         qml6-module-qtqml-models,
         qml6-module-qtquick-controls,
         smartmontools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Monitor S.M.A.R.T. capable devices for imminent failure in Plasma
 This package provides a plugin for the KDE user daemon and the corresponding
 Plasma configuration widget for monitoring devices with S.M.A.R.T. support
 and alerting the user in case of imminent failure.

## plasma-disks 6.5.1

=== debian/changelog ===
plasma-disks (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:12:26 +0100

## plasma-disks 6.5.1+p24.04+vstable+git20251029.0723

=== debian/changelog ===
plasma-disks (6.5.1+p24.04+vstable+git20251029.0723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:23:14 +0000

plasma-disks (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:56:00 +0000

## plasma-disks 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-disks)
-set(PROJECT_VERSION "6.4.91")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
plasma-disks (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:05 +0100

## plasma-disks 6.5.3

=== debian/changelog ===
plasma-disks (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:00 +0000

plasma-disks (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:39 +0000

plasma-disks (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:56 +0000

plasma-disks (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:42 +0100

=== debian/control ===
Source: plasma-disks
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6solid-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-disks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-disks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-disks
Rules-Requires-Root: no

Package: plasma-disks
Architecture: any
Depends: libkf6kcmutils-bin,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         smartmontools,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kup-backup, partitionmanager,
Description: Monitor S.M.A.R.T. capable devices for imminent failure in Plasma
 This package provides a plugin for the KDE user daemon and the corresponding
 Plasma configuration widget for monitoring devices with S.M.A.R.T. support
 and alerting the user in case of imminent failure.

## plasma-disks 6.5.3+p24.04+vunstable+git20251206.0729

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-disks)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
plasma-disks (6.5.3+p24.04+vunstable+git20251206.0729-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:29:11 +0000

plasma-disks (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:53 +1000

plasma-disks (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:13 +1000

## plasma-disks 6.5.4

=== debian/changelog ===
plasma-disks (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:20:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                libkf6auth-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),

## plasma-disks 6.5.4+p24.04+vstable+git20251215.0334

=== debian/changelog ===
plasma-disks (6.5.4+p24.04+vstable+git20251215.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:34:47 +0000

plasma-disks (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:06 +1000

## plasma-disks 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-disks)
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
plasma-disks (6.5.5-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:02:07 +0000

plasma-disks (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:39 +1000

## plasma-disks 6.5.5+p24.04+vstable+git20260201.0345

=== debian/changelog ===
plasma-disks (6.5.5+p24.04+vstable+git20260201.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 03:45:21 +0000

## plasma-disks 6.5.5+p24.04+vstable+git20260205.0524

=== debian/changelog ===
plasma-disks (6.5.5+p24.04+vstable+git20260205.0524-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 05:24:54 +0000

## plasma-disks 6.5.5+p24.04+vunstable+git20260204.0832

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,10 +4,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(plasma-disks)
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

=== debian/changelog ===
plasma-disks (6.5.5+p24.04+vunstable+git20260204.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:32:44 +0000

## plasma-disks 6.6.1

=== debian/changelog ===
plasma-disks (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:15:40 +0000

plasma-disks (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:05:34 +0000

plasma-disks (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:43 +0000

## plasma-disks 6.6.2

=== debian/changelog ===
plasma-disks (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,22 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6auth-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6solid-dev (>= 6.18.0~),
-               qt6-base-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6auth-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6kcmutils-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6solid-dev (>= 6.22.0~),
+               qt6-base-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-disks
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-disks
